import { AfterViewInit, ElementRef, OnDestroy } from "@angular/core";
import { StiTooltipService } from "./sti-tooltip.service";
export declare class StiTooltipDirective implements AfterViewInit, OnDestroy {
    tooltipService: StiTooltipService;
    private el;
    tooltipPosition: "right" | "left" | "top" | "bottom" | string | undefined;
    text: string | undefined;
    showDelay: number | undefined;
    active: boolean;
    constructor(tooltipService: StiTooltipService, el: ElementRef);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
}
